Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.stdio
Class StdioMessageDispatcher

    java.lang.Object
      org.mule.transport.AbstractConnectable
          org.mule.transport.AbstractMessageDispatcher
              org.mule.transport.stdio.StdioMessageDispatcher

All Implemented Interfaces:
  Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, MessageProcessor, Connectable, MessageDispatcher

    public class StdioMessageDispatcher

extends AbstractMessageDispatcher

`StdioMessageDispatcher` is a simple stream dispatcher that obtains a stream from the Stream Connector to write to. This is only really useful for testing purposes right now when writing to System.in and System.out. However, it is feasible to set any OutputStream on the Stream connector and have that written to.

Field Summary

Fields inherited from class org.mule.transport.AbstractMessageDispatcher
`defaultOutboundTransformers, defaultResponseTransformers`

Fields inherited from class org.mule.transport.AbstractConnectable
`connected, connecting, endpoint, lifecycleManager, logger, muleMessageFactory, retryTemplate, startOnConnect`

Fields inherited from interface org.mule.api.transport.MessageDispatcher
`RECEIVE_NO_WAIT, RECEIVE_WAIT_INDEFINITELY`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`StdioMessageDispatcher(OutboundEndpoint endpoint)`

Method Summary
`protected void` | `doConnect()`
`protected void` | `doDisconnect()`
`protected void` | `doDispatch(MuleEvent event)`
`protected void` | `doDispose()`
`protected MuleMessage` | `doSend(MuleEvent event)`

Methods inherited from class org.mule.transport.AbstractMessageDispatcher
`applyOutboundTransformers, applyResponseTransformers, createLifecycleManager, getDispatcherName, getEndpoint, getWorkManager, process, returnResponse, returnResponse`

Methods inherited from class org.mule.transport.AbstractConnectable
`activate, callDoStartWhenItIsConnected, connect, connectAndThenStart, createMuleMessage, createMuleMessage, createMuleMessage, createMuleMessageFactory, createNullMuleMessage, disconnect, dispose, disposeAndLogException, doInitialise, doStart, doStop, getConnectEventId, getConnectionDescription, getConnector, getLifecycleState, initialise, initializeMessageFactory, initializeRetryPolicy, isConnected, isConnecting, isDoStartMustFollowDoConnect, isDoThreading, isStarted, passivate, setEndpoint, start, stop, toString, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.MessageDispatcher
`activate, createMuleMessage, createMuleMessage, getConnector, passivate, validate`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, getConnectionDescription, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Methods inherited from interface org.mule.api.lifecycle.LifecycleStateEnabled
`getLifecycleState`

Constructor Detail

### StdioMessageDispatcher

    public StdioMessageDispatcher(OutboundEndpoint endpoint)

Method Detail

### doDispatch

    protected void doDispatch(MuleEvent event)
                       throws Exception

  Specified by:
    `doDispatch` in class `AbstractMessageDispatcher`
  Throws:
    `Exception`

### doSend

    protected MuleMessage doSend(MuleEvent event)
                          throws Exception

  Specified by:
    `doSend` in class `AbstractMessageDispatcher`
  Throws:
    `Exception`

### doDispose

    protected void doDispose()

  Overrides:
    `doDispose` in class `AbstractConnectable`

### doConnect

    protected void doConnect()
                      throws Exception

  Overrides:
    `doConnect` in class `AbstractConnectable`
  Throws:
    `Exception`

### doDisconnect

    protected void doDisconnect()
                         throws Exception

  Overrides:
    `doDisconnect` in class `AbstractConnectable`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.